
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle基础学习（四） 用户管理及表空间 / iVAN</title>

    <meta name="description" content="Oracle基础学习（四） 用户管理及表空间 本章目标 数据库用户管理 数据库权限管理 数据库存储结构 数据库用户管理 1. 创建用户 a) 语法 可以使用CREATE USER语句创建用户 语法如下 CREATE USER user_name IDENTIFIED BY password [DEFAULT TABLESPACE default_tablespace] [TEMPORARY TABLESPACE temporary_tablespace]; 说明 user_name:创建的用户名 password:用户密码 default_">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle基础学习（四） 用户管理及表空间</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本章目标</p>
<p>数据库用户管理</p>
<p>数据库权限管理</p>
<p>数据库存储结构</p>
<p>数据库用户管理</p>
<p>1. 创建用户</p>
<p>a) 语法</p>
<p>可以使用CREATE USER语句创建用户</p>
<p>语法如下</p>
<p>CREATE USER user_name IDENTIFIED BY password</p>
<p>[DEFAULT TABLESPACE default_tablespace]</p>
<p>[TEMPORARY TABLESPACE temporary_tablespace];</p>
<p>说明</p>
<p>user_name：创建的用户名</p>
<p>password：用户密码</p>
<p>default_tablespace：用户的默认表空 间，用于储存数据库对象。如果忽略此参数，则默认存储到SYSTEM表空间</p>
<p>temporary_tablespace：是 临时对象默认存储的表空间，包括临时表。如果忽略此参数，则默认存储到SYSTEM表空间</p>
<p>b) 案例</p>
<p>创建jason用户</p>
<p>CREATE USER jason IDENTIFIED BY price;</p>
<p>创建用户，指定默认表空间 和临时表空间</p>
<p>CREATE USER henry IDENTIFIED BY hooray</p>
<p>DEFAULT TABLESPACE users</p>
<p>TEMPORARY TABLESPACE temp;</p>
<p>2. 给用户授权</p>
<p>a) 如果想让用户在数据库里完成一 些任务，需要相应的给用户授予权限</p>
<p>i. 如果想让用户连接到数据库，必须授予用户CREATE SESSION的 系统权限。</p>
<p>ii. 授权必须通过一些特殊用户授权(例如SYSTEM)，通过GRANT语句来完成</p>
<p>iii. 例 如，给用户jason授予CREATE SESSION的权利</p>
<p>GRANT CREATE SESSION TO jason;</p>
<p>b) 下面再创建 几个用户，以便后面使用</p>
<p>i. CREATE USER steve IDENTIFIED BY button;</p>
<p>ii. CREATE USER gail IDENTIFIED BY seymour;</p>
<p>iii. GRANT CREATE SESSION TO steve, gail;</p>
<p>3. 修改用户密 码</p>
<p>a) 可以使用ALTER USER语句修改用户密码</p>
<p>i. 例如，修改用户jason密码为 marcus</p>
<p>ALTER USER jason IDENTIFIED BY marcus;</p>
<p>b) 可以通过PASSWORD命令修改当前登录用 户的密码</p>
<p>i. 例如，jason用户登录之后，使用PASSWORD修改密码</p>
<p>CONN jason/marcus</p>
<p>PASSWORD</p>
<p>c) 执行效果如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDk0NTNMMzY0LTAucG5n.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 17:02:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e7%a9%ba%e9%97%b4/" title="表空间">表空间</a>, <a href="https://www.iamivan.net/tag/user/" title="user">user</a>, <a href="https://www.iamivan.net/tag/jason/" title="jason">jason</a>, <a href="https://www.iamivan.net/tag/jason%e8%a7%a3%e6%9e%90/" title="&num;jason解析">&num;jason解析</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e7%a9%ba%e9%97%b4%e6%9d%83%e9%99%90/" title="存储空间权限">存储空间权限</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle基础学习（四） 用户管理及表空间的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7kvnb.html" rel="bookmark">Oracle技术：基于时间点的表空间恢复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TSPITR(表空间时间点恢复)用于将一个或多个表空间恢复到过去某个时间点的状态,而其他表空间仍然保持现有状态. TSPITR 相关的概念和术语: (1) TSPITR (Tablespace Point-In-Time Recover).TSPITR 是表空间时间点恢复的英文缩写格式,它表示将一个或多个表空间恢复到过去时间点的状态,而其他 表空间仍然保持现有状态. (2) TSPITR 实现方法.当实现表空间时间点恢复时,既可以使用用户管理的表空间时间点恢复方法,也可以使用RMAN 管理的表空			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeAxwz.html" rel="bookmark">Oracle中如何快速删除数据字典管理的表空间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|数据 我的测试环境:Hp rp7410主机,Hp-unix11.11 OS,Oracle8.1.7.4的数据库,一个有90张表大约100G的测试表空间TBS_TEST. 问题的提出:Oracle中在使用drop tablespace &lt;tablespace_name&gt; including contents;删除数据字典管理的表空间时存在着很大的效率问题. 测试开始: 1.使用drop tablespace &lt;tablespace_name&gt; including con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWAkqz.html" rel="bookmark">安装Oracle后，经常使用的修改表空间的SQL代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle 配置:Windows NT 4.0 中文版5块10.2GB SCSI硬盘分:C:盘.D:盘.E:盘.F:盘.G:盘Oracle 8.0.4 for Windows NTNT安装在C:\WINNT,Oracle安装在C:\ORANT 目标:因系统的回滚段太小,现打算生成新的回滚段,建立大的.新的表空间(数据表空间.索引表空间.回滚表空间.临时表空间.)建两个数据表空间.两个索引表空间,这样建的目的是根据实际应用,如:现有10个应用用户,每个用户是一个独立子系统(如:商业进销存MIS系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5Q7Lp.html" rel="bookmark">linux oracle11gr2新建了一个用户，默认表空间users，创建表过后，无法插入数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux oracle11gr2新建了一个用户,默认表空间users,创建表过后,无法插入数据 linux oracle11gr2新建了一个用户,默认表空间users,创建表过后,无法插入数据,提示:no privileges on tablespace users 新建表空间,并修改这个用户:tanke1的默认表空间后,然后再新建新表,就可以正常插入数据了 解决方案 gant privileges to newuser 解决方案二: gant privileges to newus			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwl8aWb.html" rel="bookmark">Oracle备份数据导入到其他的表空间&lpar;只设置默认表空间无效&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  我们在导入一个Oracle备份的数据文件(*.dmp)到另外一个数据库的用户下时,如果需要更换表空间,可以采用下几个办法. 假设导出用户名:EXP_USER 表空间为:EXP_TSPACE 导入用户名:IMP_USER 表空间为:IMP_TSPACE 1.设置导入用户的默认表空间以及权限. a)建表语句如下: create user IMP_USER Sql代码 identified by &quot;密码&quot; default tablespace IMP_TSPACE temporary t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvwGNp.html" rel="bookmark">Oracle 11g系列&mdash;2&mdash;用户管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为什么要学习Oracle 我们学习一个东西第一时间,肯定是问我们是否有价值学习这个东西?好吧,我从网上收集 了些资料!~整理了如下表格!~可以看红色的部分,红色表示Oracle的特性,由此可以看到,在这7个部分中,除了操作这里除 外,其余的地方均比其他的数据库有的一拼. 二. SQL *Plus工具的使用 Oracle的sql*plus是与oracle进行交互的客户端工具.在sql*plus中,可以运行sql*plus命令与 sql*plus语句. 2.1 打开SQL*Plus工具 在开始菜			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxE6ob.html" rel="bookmark">Oracle管理UNDO表空间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建undo talespace有两种方式: (1)数据库创建时创建undo tablespace; (2)在一个已经存在的数据库创建. 在undo tablespace中不能创建数据库对象,这是因为这个表空间是为数据库recover而准备的. 1.创建数据库时创建undo tablespace 在创建数据库的时候可以通过指定undo子句来创建undo tablespace,但是这个子句不是必须的. 如果在创建数据库时,系统指定是auto模式,但是没有指明undo tablespace的名字,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1j5m5p.html" rel="bookmark">Oracle基础学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.sqlplus-----开启服务2.输入用户名和密码(默认3个用户,注意,密码是可以修改的:system/manager;scott/tiger;sys/change_on_install),连接数库.3.创建表空间: create tablespace 表空间逻辑名 datafile '表空间文件的物理逻辑' size 文件大小(如:10m) autoextend 是否自动增长文件大小(on/off); 4.创建用户:create user 用户名 identified by 密码: 5.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7XV6db.html" rel="bookmark">ORACLE RAC 裸设备数据库一节点表空间扩容错误添加数据文件到本地的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    9月2日上午,总部CRM求助,问题是ORACLE 10.2.0.4 RAC 裸设备数据库在表空间扩容时操作失误,将数据文件错误添加成文件系统文件并且还在节点1的本地目录,导致节点2无法完成写操作,报错信息如下: Wed Sep  2 08:23:23 2015 Errors in file /oracle/app/admin/oracrm/bdump/oracrm2_dbw0_2101996.trc: ORA-01157: cannot identify/lock data file 1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVODbN.html" rel="bookmark" class="title">Photoshop设计制作非常有层次投影效果的逼真的墙壁雕刻字</a>
					<div>
						  效果图看似比较复杂,掌握了方法就非常简单了.教程重点是图层样式及形状的应用,只需要把文字转为形状再跟其它形状结合起来,然后用图层样式增加浮雕及投影,效果就出来了. 最终效果 1.首先我粘贴进一张墙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX8ZLp.html" rel="bookmark" class="title">可以把文章标题中的英文单词的首字母变成大写的函数</a>
					<div>
						大写|函数 功能说明: 可以把文章标题中的英文单词的首字母变成大写:) 效果演示: &lt;% function PCase(strInput) 'Variable declaration. Dim  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEq93b.html" rel="bookmark" class="title">在 Mac OX X 下面安装 php</a>
					<div>
						  &lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt;  Mac  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7G0qb.html" rel="bookmark" class="title">公交车路线查询系统后台数据库设计&mdash;&mdash;关联地名和站点</a>
					<div>
						在&lt;公交车路线查询系统后台数据库设计--查询算法&gt;一文中,已经实现了查询站点到站点的路线 查询算法,但是,现实中用户不一定使用站点进行查询,而是使用地名.因此,公交车查询系统数据库必 需记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6qgEz.html" rel="bookmark" class="title">教您自定义QQ Live聊天表情</a>
					<div>
						QQ Live是腾讯公司开发的一款集聊天.竞猜.网络电视于一体的综合娱乐平台,深受大家的喜爱.不过,很长一段时间,总有一个问题困扰着我们.那就是QQ Live的聊天表情十分单一,甚至连最基本的表情自定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AWemp.html" rel="bookmark" class="title">在RESTful应用程序中的超媒体</a>
					<div>
						超媒体到底是什么?! 如果你有幸听说过REST架构风格,那么你也可能听说某些人认为统一接口是最重要的约束,尤其是该接口在制约资源上能被调用的方法方面.但是,你没有意识到的是,对于统一接口还有很多东西. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyZLxb.html" rel="bookmark" class="title">Java EE 5</a>
					<div>
						简介 Java EE 技术是 Java 语言平台的扩展,支持开发人员创建可伸缩的强大的可移植企业应用程序.它为应用程序组件定义了四种容器:Web.Enterprise JavaBean(EJB).应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaaQ5z.html" rel="bookmark" class="title">Win7开启IE浏览器总提示&OpenCurlyDoubleQuote;你的浏览器已升级&rdquo;怎么办</a>
					<div>
						  1.按下Win+R组合键打开运行,输入gpedit.msc,回车进入本地组策略编辑器; 2.依次展开至&quot;用户配置&gt;管理模块&gt;Windows组件&gt;Internet Exp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw0jkb.html" rel="bookmark" class="title">PhotoShop在LAB模式下调出甜美糖水肤色</a>
					<div>
						PS教程效果图: 原图: 1.首先打开素材图片,复制出图层1,并设置图层1的混合模式为&quot;滤色&quot;,不透明度为&quot;80%&quot;,如图所示. 2.按下Ctr+Shift+A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwRJmb.html" rel="bookmark" class="title">酷狗音乐怎么清空列表</a>
					<div>
						  1.首先打开酷狗音乐,我们可以看到列表中有很多的歌曲 2.然后我们点击右键,清空列表,在弹出的对话框中点击&quot;清空&quot; 3.这样我们就可以看到我们的列表光溜溜的了. 当然大家中间要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8GVKb.html" rel="bookmark" class="title">新浪微博如何搜索关注人的微博？</a>
					<div>
						  目前有两个地方可以搜关注人的微博: 1.自己的微博首页:新版微博首页搜索框输入关键词默认即为关注人的微博.旧版:展开首页搜索安排的三角箭头展开&quot;高级搜索&quot;,输入关键字即可搜索到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGDvqb.html" rel="bookmark" class="title">怎么卸载快压</a>
					<div>
						  快压作为一个解压工具受到很多朋友的喜欢,但是使用久难免想换换口味,可卸载的时候又遇到麻烦了.到底怎么卸载快压,如何才能彻底地卸载快压呢.下面小编就来教教大家. 1.首先随便找个压缩包 没有就创建一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6V3mb.html" rel="bookmark" class="title">在OS X10&period;10中imessage如何分享屏幕</a>
					<div>
						  四年一度的世界杯要来了,总有些时候想要与朋友一同分享某个直播画面.所以小编挖出了一条如何用OS X10.10的imessage分析屏幕的小方法. 其实十分简单,因为只是imessage除了启动 F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ovrqb.html" rel="bookmark" class="title">Windows Server 2008使用psshutdown定时关机、休眠及错误解决</a>
					<div>
						最近我将本本上的系统由2003升级到了2008,发现原先我用来自动关机.休眠的免费小软件 poweroff 无法使用了(不起作用).也懒得找了,就用系统自带的指令实现吧. 首先想到的当然是 shutd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze75rxM.html" rel="bookmark" class="title">Window7与VMWare上的CentOS文件传输</a>
					<div>
						   很无奈,在VMWare上安了一个CentOS,文件传递的方式还在采用U盘.很菜吧!哈哈     我在网上查找有没有快捷的方式.有一个学友的文章值得借鉴:&lt;VMWare CentOS中安装设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJk0lp.html" rel="bookmark" class="title">使用pgadmin3-1&period;18&period;1&lpar;windows版本&rpar;连接greenplum的时候报错</a>
					<div>
						客户端工具报错如下: 分析:本机IP未在greenplum控制台加入白名单 解决:将本机外网IP在greenplum控制台中加入白名单					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdjVOM.html" rel="bookmark" class="title">人工智能的潮流中希捷是强者还是王者？</a>
					<div>
						文章讲的是人工智能的潮流中希捷是强者还是王者,在数字化经济中,数据呈现爆炸式增长,其增长速度之快前所未有.对于企业来说,数据就是企业的命脉,为其提供深刻的商业洞见和决策依据. 据IDC 预测,未来十年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl3a8b.html" rel="bookmark" class="title">浅析jQuery Mobile的初始化事件&lowbar;jquery</a>
					<div>
						jQuery Mobile 包括一个初始化事件,该事件甚至会先于 jQuery 的 document.ready 事件进行加载.jQuery Mobile 实际上在文档对象本身上触发其初始化事件,第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRqPjz.html" rel="bookmark" class="title">iOS开发系列--地图与定位</a>
					<div>
						概览 现在很多社交.电商.团购应用都引入了地图和定位功能,似乎地图功能不再是地图应用和导航应用所特有的.的确,有了地图和定位功能确实让我们的生活更加丰富多彩,极大的改变了我们的生活方式.例如你到了一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNXEkz.html" rel="bookmark" class="title">C&num;开源汇总</a>
					<div>
						原文:C#开源汇总 商业协作和项目管理平台-TeamLab 网络视频会议软件-VMukti 驰骋工作流程引擎-ccflow [免费]正则表达式测试工具-Regex-Tester Windows-Pho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR8Ddz.html" rel="bookmark" class="title">请帮忙写一条SQL语句查询前一小时信息</a>
					<div>
						问题描述 请帮忙写一条SQL语句查询前一小时信息 MSSQLServer,有个字段DateTime:2015-03-09 16:08:51.617 我想查询前一小时的信息,因为我公司是45分下班的,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWjN1p.html" rel="bookmark" class="title">查看mysql字符集及修改表结构--表字符集，字段字符集</a>
					<div>
						MySQL 乱码的根源是的 MySQL 字符集设置不当的问题,本文汇总了有关查看 MySQL 字符集的命令.包括查看 MySQL 数据库服务器字符集.查看 MySQL 数据库字符集,以及数据表和字段的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAqAkM.html" rel="bookmark" class="title">&num;c&plus;&plus;&num;求大神帮我改正下，关于多态和虚函数的</a>
					<div>
						问题描述 #c++#求大神帮我改正下,关于多态和虚函数的 #include using namespace std; class X1 { protected: int x; public: X1(i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg7JYb.html" rel="bookmark" class="title">android studio-Android Studio使用Source Code Pro字体全部乱码</a>
					<div>
						问题描述 Android Studio使用Source Code Pro字体全部乱码 之前都是好好的,也可以使用Source Code Pro字体,不知道怎么了,这个字体全部都变成了乱码,字体删除了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4vjoz.html" rel="bookmark" class="title">php学习之简单计算器实现代码&lowbar;php基础</a>
					<div>
						复制代码 代码如下: &lt;html&gt; &lt;head&gt; &lt;title&gt;PHP实现简单计算器&lt;/title&gt; &lt;meta http-equiv=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq710Yz.html" rel="bookmark" class="title">java-统计一段字符串中每个字符出现的次数，用map来实现是最简单的吗？</a>
					<div>
						问题描述 统计一段字符串中每个字符出现的次数,用map来实现是最简单的吗? 统计一段字符串中每个字符出现的次数,用map来实现是最简单的吗? 解决方案 直接用ascii对应下表来实现字符计数功能就好了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx03oBM.html" rel="bookmark" class="title">springmvc redirect到https后url加了好多参数</a>
					<div>
						问题描述 springmvc redirect到https后url加了好多参数 我在使用springmvc的时候用到了一个重定向,重定向的url是一个https的,例如https://www.xxx. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwB7dM.html" rel="bookmark" class="title">关于oracle数据库时间处理问题</a>
					<div>
						在s2sh写sql语句的时候,需要对时间经行特殊的处理.时间在数据库中都为Date类型 1.转换成string类型: 2.在页面使用My97DatePicker/WdatePicker等时间插件工具  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60XqNz.html" rel="bookmark" class="title">正式开放iOS6系统正式版本的下载</a>
					<div>
						[科技讯]9月20日消息,苹果官方在北京时间20日凌晨1点正式开放了iOS6系统的正式版本下载. 据了解,此次iOS6正式版升级补丁为600M左右,包含超过200项新功能,包括苹果的自主地图服务.Pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2K4VM.html" rel="bookmark" class="title">小米创始人雷军计划分拆金山安全软件业务在美上市</a>
					<div>
						导语:&lt;福布斯&gt;网络版撰稿人Shu-Ching Jean Chen今日发表题目为&quot;小米创始人雷军计划分拆金山安全软件业务在美上市&quot; (Xiaomi's Founder  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
